from serde import Model, fields


class Market(Model):
    exchange = fields.Str()
    item = fields.Str()
    currency = fields.Str()
    contract = fields.Str()


class Timestamp(Model):
    sent = fields.Int()
    trade = fields.Int()


class BaseDrakdoo(Model):
    title = fields.Str()
    message = fields.Str()
    period = fields.Str()
    market = fields.Nested(Market)
    timestamp = fields.Nested(Timestamp)
