from pydantic import BaseModel


class DrakdooMarket(BaseModel):
    exchange: str
    item: str
    currency: str
    contract: str


class DrakdooTimestamp(BaseModel):
    sent: int
    trade: int


class DrakdooCallback(BaseModel):
    title: str
    message: str
    period: str
    price: str | None
    market: DrakdooMarket
    timestamp: DrakdooTimestamp
